import javax.servlet.*; 
import javax.servlet.http.*; 
import java.io.*; 

public class SimpleChartServlet extends HttpServlet { 

	public void doGet(HttpServletRequest request, HttpServletResponse response)
		throws ServletException, IOException { 

		com.ve.kavachart.servlet.Bean chart = new com.ve.kavachart.servlet.barApp(); 
		//add some random data here: 
		for(int i=0;i<5;i++){ 
			double d = Math.random();
			chart.accumulateProperty("dataset0yValues", Double.toString(d)); 
		} 
		//set a few properties 
		chart.setProperty("titleString", "hello, world"); 
		chart.setProperty("useCache", "false"); 
		chart.setProperty("byteStream", "true"); 
		chart.setProperty("yAxisOptions", "gridOn, minTickOn"); 
		chart.setProperty("xAxisOptions", "gridOn"); 
		chart.setProperty("plotAreaColor", "lightGray"); 
		chart.setProperty("width", "400"); 
		chart.setProperty("height", "200"); 
                
                try{        
                        ServletOutputStream out = response.getOutputStream(); 
                        response.setContentType("image/jpeg"); 
                        out.write(chart.getImageBytes()); 
                } catch (Exception e){
                        System.out.println("Problem generating image");
                }
	} 

}
