import java.awt.*; 
import com.ve.kavachart.chart.*; 

public class AxisAndLineContainer { 

	Axis yAxis; 
	Line line; 
	Dataset[] dataset = new Dataset[1]; 

	public AxisAndLineContainer (Dataset series, 
								 AxisInterface xAxis, 
								 Plotarea plotarea){ 
		dataset[0] = series; 
		yAxis = new Axis(dataset, false, plotarea); 
		line = new Line(dataset, xAxis, yAxis, plotarea); 
	}

	public void draw(Graphics g, int offset){ 
		//label the axis with the dataset name 
		yAxis.setTitleString(dataset[0].getName()); 
		g.translate(offset, 0); 
		yAxis.draw(g); 
		g.translate(-offset, 0); 
		line.draw(g); 
	} 
}
