import java.awt.*;
import javax.swing.*; 
import com.ve.kavachart.chart.*; 

public class ChartJPanel extends JPanel { 

	public BarChart chart = new BarChart("sample"); 

	protected void initChart(){ 
		double[] sampleData = {123, 432, 345, 432}; 
		chart.addDataset("Banana Sales", sampleData); 
		chart.setLegendVisible(true); 
		chart.getBackground().setTitleString("Sample Chart"); 
	} 

	public void update(Graphics g){ 
		paint(g); 
	} 

	public void paint(Graphics g){ 
		chart.paint(this, g); 
	} 

	public static void main(String[] args){ 
		JFrame myFrame = new JFrame("Title Bar"); 
		ChartPanel myPanel = new ChartPanel(); 
		myPanel.initChart(); 
		myFrame.getContentPane().add(myPanel); 
		myFrame.setSize(400, 400); 
		myFrame.setVisible(true); 
	} 

}
