import java.awt.*; 
import com.ve.kavachart.chart.*; 
import java.util.*; 

class ChartPanelScroller extends Panel { 

	Chart chart; 

	public ChartPanelScroller() { 
		chart = new BarChart(); 
		double[] data = new double[500]; 
		for(int i=0;i<data.length;i++){ 
			data[i] = Math.sin(i/20.); 
		} 
		chart.addDataset("sine wave", data); 
	} 

	public static void main(String args[]) { 
		Frame f = new Frame(); 
		f.setSize(500, 300); 
		ChartPanelScroller chartPanel = new ChartPanelScroller(); 
		DataScroller scrollbar = new DataScroller(); 
		scrollbar.setPaintable(chartPanel); 
		Vector data = chartPanel.chart.getDatasets()[0].getData(); 
		scrollbar.setData(data); 
		f.setLayout(new BorderLayout()); 
		f.add(chartPanel, "Center"); 
		f.add(scrollbar, "South"); 
		f.setVisible(true); 
	} 

	public void paint(Graphics g) { 
		chart.paint(this, g); 
	} 

}
