import com.ve.kavachart.chart.*; 
import java.awt.*; 
import java.awt.event.*; 
import java.util.Vector; 

public class Identifier extends Panel { 
	Chart chart; 
	
	Identifier(){ 
		chart = new BarChart(); 
		double x[] = new double[5]; 
		double y[] = new double[5]; 
 
		for (int i = 0; i < 5; i++) { 
			x[i] = (double) i; 
			y[i] = Math.random(); 
		} 
		chart.addDataset("a", x, y);
		chart.setLegendVisible(true);                
		chart.setUseDisplayList(true); 
		addMouseListener(new MouseAdapter(){ 
				public void mousePressed(MouseEvent e){ 
					tellMe(e.getPoint());
				} 
			}); 
	} 

	protected void tellMe(Point p){ 
		Vector list = new Vector(); 
		chart.getDisplayList().contains(p, list); 
		for(int i=0;i<list.size();i++){ 
			Object myObj = list.elementAt(i); 
			System.out.println(myObj); 
		} 
		System.out.println(); 
	} 

	public static void main (String[] args) { 
		Frame f = new Frame(); 
		f.setSize(300, 200); 
		f.add(new Identifier()); 
		f.setVisible(true); 
	} 

	public void paint(Graphics g){ 
		chart.paint(this, g); 
	}

}
