import java.awt.*;
import com.ve.kavachart.chart.*;

public class RunChart extends Panel implements Runnable { 

public BarChart chart = new BarChart("sample"); 
static double[] newData = {123, 234, 345, 456}; 
int i = 0; 
Thread myThread = null; 

	public void start(){ 
		myThread = new Thread(this); 
		myThread.start(); 
	} 

	public void stop(){ 
		myThread = null; 
	} 

	public void run(){ 
		while(myThread!=null){ 
			try{ 
				Thread.sleep(500); 
			}
			catch(Exception ignored){ 
			} 
			Dataset dataset = chart.getDatasets()[0]; 
			Datum dat = new Datum(i+4,newData[i%newData.length],null); 
			dataset.getData().addElement(dat); 
			dataset.getData().removeElementAt(0); 
			repaint(); 
			i++; 
		} 
	} 

	protected void initChart(){ 
		chart.addDataset("Banana Sales", newData); 
		chart.setLegendVisible(true); 
		chart.getBackground().setTitleString("Sample Chart");
	} 

	public void update(Graphics g){ 
		paint(g); 
	} 

	public void paint(Graphics g){ 
		chart.paint(this, g); 
	} 
	
	public static void main(String[] args){ 
		Frame myFrame = new Frame("Title Bar"); 
		RunChart myPanel = new RunChart(); 
		myPanel.initChart(); 
		myFrame.add(myPanel); 
		myFrame.setSize(400, 400); 
		myFrame.setVisible(true); 
		myPanel.start(); 
	} 

}
