import java.awt.*; 
import com.ve.kavachart.beans.chart.*; 
import com.ve.kavachart.beans.data.*; 

public class TwoBeanFrame extends Frame { 

	ChartBean chart1, chart2; 

	public TwoBeanFrame(){ 
		setLayout(new GridLayout(2, 1)); 
		chart1 = new BarChart(); 
		add(chart1); 
		chart2 = new LineChart(); 
		add(chart2); 

		//add a data feed 
		DataFeedSimulator dataSource = new DataFeedSimulator(); 
		//new data every 2 seconds 
		dataSource.setInterval(2); 
		dataSource.setNumberOfSets(3); 
		dataSource.setNumberOfPoints(3); 

		//apply the data to both charts 
		dataSource.addDataFeedListener(chart1); 
		dataSource.addDataFeedListener(chart2);
 
		dataSource.update(); 
		dataSource.start(); 
	}

	public static void main(String[] args){ 
		Frame f = new TwoBeanFrame(); 
		f.setSize(300, 300); 
		f.setVisible(true); 
	} 

}
