<?
include 'kavachart.php';

if($chartType=='')
	$chartType = 'barApp';
if($dataset0yValues=='')
	$dataset0yValues = '234,432,345,432,123,543,123';

$chart = new Chart;
$chart->setProperty('dataset0yValues', $dataset0yValues);
if($dataset1yValues!='' && $chartType!='pieApp')
	$chart->setProperty('dataset1yValues', $dataset1yValues);
if($dataset2yValues!='' && $chartType!='pieApp')
	$chart->setProperty('dataset2yValues', $dataset2yValues);
$chart->setProperty('width', 500);
$chart->setProperty('height', 300);
$chart->setProperty('yAxisOptions', 'gridOn');
$chart->setProperty('imageType', 'flash');
$chart->setChartType($chartType);
if($threeD!=''){
	$chart->setProperty('3D', 'true');
	$chart->setProperty('XDepth', '5');
	$chart->setProperty('YDepth', '5');
}

if($individualColors!=''){
	$chart->setProperty('individualColors', 'true');
}
if($legendOn!=''){
	$chart->setProperty('legendOn', 'true');
}

?>


<table><tr><td valign="top">
<p>
This page is constructed entirely using PHP.  The output is generated
by a Java servlet at kavachart.com, but the page contents are rendered
in PHP.
<p>
Using this construction, any server running PHP can just point to 
kavachart.com or another Java server to generate chart output.
<p>
Use a comma delimited list of numbers as inputs, below.  Some chart types may
require the same number of values for each series.  Pie charts use only the
first series.
<p>
<form action="multi_chart.php">
<table><tr><td>
Chart Type:</td><td>
<select name="chartType">
	<option value="barApp" <? if($chartType=='barApp') echo 'selected';?>>Bar Chart
	<option value="pieApp" <? if($chartType=='pieApp') echo 'selected';?>>Pie Chart
	<option value="columnApp" <? if($chartType=='columnApp') echo 'selected';?>>Column Chart
	<option value="lineApp" <? if($chartType=='lineApp') echo 'selected';?>>Line Chart
	<option value="areaApp" <? if($chartType=='areaApp') echo 'selected';?>>Area Chart
</select>
</td></tr><tr><td>
3D?</td><td> <input type="checkbox" 
<?
	if($threeD!='')
		echo ' checked ';
?> name="threeD">
</td></tr><tr><td>
Individual Colored Bars?</td><td> <input type="checkbox" 
<?
	if($individualColors!='')
		echo ' checked ';
?> name="individualColors">
</td></tr><tr><td>
Show Legend?</td><td> <input type="checkbox" 
<?
	if($legendOn!='')
		echo ' checked ';
?> name="legendOn">
</td></tr><tr><td>
Series One</td><td> <input name="dataset0yValues" size="50" value="<?=$dataset0yValues?>">
</td></tr><tr><td>
Series Two</td><td> <input name="dataset1yValues" size="50" value="<?=$dataset1yValues?>">
</td></tr><tr><td>
Series Three</td><td> <input name="dataset2yValues" size="50" value="<?=$dataset2yValues?>">
</td></tr><tr><td>
<input type="submit" value="Create Chart">
</td></tr></table>
</form>
</td>
<td>

<?=$chart->getImage()?>

</td>
</tr></table>
