<?

function isPeriod($var, $period){
	if($var==$period)
		return 'checked';
	else
		return '';
}

function buildMonthSelectList($varName, $m){
	$months = array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
	echo '<select name="' . $varName . '">';
	for($i=0;$i<12;$i++){
		echo '<option value=' . $i . ' ';
		if($i==$m)
			echo ' selected';
		echo  '>' . $months[$i];
	}
	echo '</select>';
}
	$month = date('n');
	$month = $month - 1;
	$day = date('d');
	$year = date('Y');
	$threeMonthsAgo = $month - 3;
	$threeMonthsAgoYear = $year;
	if($month<1){
		$month = $month + 12;
		$threeMonthsAgoYear =$year - 1;
	}

	if($startMonth =='') $startMonth = $threeMonthsAgo;
	if($startDay =='') $startDay = $day;
	if($startYear =='') $startYear = $threeMonthsAgoYear;
	
	if($endMonth =='') $endMonth = $month;
	if($endDay =='') $endDay = $day;
	if($endYear =='') $endYear = $year;

	if($period == '') $period = 'd'; 
	if($symbol == '') $symbol = 'GM';
	
	$yahooString = "http://table.finance.yahoo.com/table.csv?" .
		"a=" . $startMonth . "&" .
		"b=" . $startDay . "&" . 
		"c=" . $startYear . "&" .
		"d=" . $endMonth . "&" .
		"e=" . $endDay . "&" .
		"f=" . $endYear . "&" .
		"g=" . $period . "&" .
		"s=" . $symbol ."&ignore=.csv";

	$handle = fopen($yahooString, 'r');
	if($handle){
	$buffer = fgets($handle, 1024);

	$buffer = fgets($handle, 1024);
	$arr = explode(',', $buffer);
	$dates = $arr[0];
	$opens = $arr[1];
	$highs = $arr[2];
	$lows = $arr[3];
	$closes = $arr[4];
	$volumes = $arr[5];
	while(!feof($handle)){
		$buffer = fgets($handle, 1024);
		$arr = explode(',', $buffer);
		$dates = $dates . ',' . $arr[0];
		$opens = $opens . ',' . $arr[1];
		$highs = $highs . ',' . $arr[2];
		$lows = $lows . ',' . $arr[3];
		$closes = $closes . ',' . $arr[4];
		$volumes = $volumes . ',' . $arr[5];
	}
	fclose($handle);
	}else{
		echo "<p>Can't open ".$yahooString;
	}
	



include 'kavachart.php';

$chart = new Chart;
$chart->setProperty('dataset0closeValues', $closes);
$chart->setProperty('dataset0openValues', $opens);
$chart->setProperty('dataset0highValues', $highs);
$chart->setProperty('dataset0lowValues', $lows);
$chart->setProperty('titleString', 'Prices for '.$symbol);
$chart->setProperty('dataset0dateValues', $dates);
$chart->setProperty('inputDateFormat', 'd-MMM-yy');
$chart->setStyle('remote/candlestick.style');
$chart->setChartType('candlestickApp');


$volume = new Chart;
$volume->setProperty('dataset0yValues', $volumes);
$volume->setProperty('titleString', '   ');
$volume->setProperty('dataset0dateValues', $dates);
$volume->setProperty('inputDateFormat', 'd-MMM-yy');
$volume->setStyle('remote/volume.style');
$volume->setChartType('dateAreaApp');


$chart->setProperty('imageType', 'flash');
$volume->setProperty('imageType', 'flash');

$chart->setProperty('width', '500');
$volume->setProperty('width', '500');
$volume->setProperty('annotation0XLoc', 480);
$volume->setProperty('plotAreaBottom', 0.45);

?>

<table><tr><td valign="top">
<!---------------------------------------------------------------->

<TABLE BORDER=0>
<TR>
<TD valign="top">

<FORM method=post action="yahoo.php">
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=4 width=300 >

<TR>
<TD ALIGN=CENTER>
<TABLE>
<tr><td> </td><TD ALIGN=CENTER><I><small>Month</small></I></td><TD ALIGN=CENTER><I><small>Day</small></I></td><TD><I><small>Year</small></I></td></tr>
<TR>
<TD ALIGN=RIGHT><small>Start:</small></TD>
<td>
<?
	buildMonthSelectList('startMonth', $startMonth);
?>
</TD>
<td><INPUT NAME="startDay" TYPE=TEXT VALUE="<?=$startDay?>" SIZE="2" MAXLENGTH="2"></TD>
<td><INPUT NAME="startYear" TYPE=TEXT VALUE="<?=$startYear?>" SIZE="4" MAXLENGTH="4"></TD>

</TR>
<TR>
<TD ALIGN=RIGHT VALIGN=MIDDLE><small>End:</small></TD>
<TD ALIGN=CENTER>
<?
	buildMonthSelectList('endMonth', $endMonth);
?>
</TD>
<TD ALIGN=CENTER><INPUT NAME="endDay" TYPE=TEXT VALUE="<?=$endDay?>" SIZE="2" MAXLENGTH="2"></TD>
<TD ALIGN=CENTER><INPUT NAME="endYear" TYPE=TEXT VALUE="<?=$endYear?>" SIZE="4" MAXLENGTH="4"></TD>

</TR>
</TABLE>
</TD>
<td>
<input type=radio name="period" value="d" <?=isPeriod($period, 'd')?> > <small>Daily</small>
<br><input type=radio name="period" value="w" <?=isPeriod($period, 'w')?>> <small>Weekly</small>
<br><input type=radio name="period" value="m" <?=isPeriod($period, 'm')?>> <small>Monthly</small><br>
</td></tr>

<tr>
<TD ALIGN=center colspan=2>
<small>Ticker Symbol: </small><INPUT type=text value ="<?=$symbol?>" size=6 name=symbol>

<INPUT type=submit value="Create Chart"></TD>
</TR>
</TABLE>




<p>
This page is constructed entirely using PHP.  The output is generated
by a Java servlet at kavachart.com, but the page contents are rendered
in PHP locally.
<p>
Using this construction, any server running PHP could easily point to 
kavachart.com or another Java server to generate chart output.  You'll want
to configure your own Java server to get rid of the KavaChart demo messages
at the bottom of the chart.
<p>

</td>
<td>

<?=$chart->getImage()?>
<br>
<?=$volume->getImage()?>

</td>
</tr></table>

</html>
