<!--
  Hyperlinking demo
-->

<jsp:useBean id="chart" class="com.ve.kavachart.servlet.barApp" scope="page"/>

<html>
<head><title>KavaChart ProServe - Hyperlinked Bar Chart</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
	<script language="javascript">

		function popWindow(which){
			this.open(which, 'detail', config='width=400, height=300, resize=0, resizable=0,toobar=no, menubar=no, scrollbars=no, status=no');
		}
	</script>
</head>
<body bgcolor="white">

<% 

chart.setProperty("titleString","Sales By Region");
chart.setProperty("dataset0yValues", "234,123,543,234");
chart.setProperty("dataset0Labels", "North,South,East,West");
chart.setProperty("dataset0Links", "javascript:popWindow('north.jsp'), javascript:popWindow('south.jsp'), javascript:popWindow('east.jsp'), javascript:popWindow('west.jsp')");
chart.setProperty("yAxisOptions", "gridOn,currencyLabels");
chart.setProperty("individualColors", "true");

chart.setProperty("dwellLabelTemplate", "<b>Total Sales: </b>$<y>M<br><b>Sales Trend:</b><br><img src=trend.jsp?area=<label>>");

chart.setProperty("width","400");
chart.setProperty("height", "300");

chart.setProperty("writeDirectory", application.getRealPath("/images/KavaChartImages"));
chart.setProperty("javascriptTooltips", "true");

%>
<table><tr><td>
<%= chart.getLinkMap() %>
<img src='../../../images/KavaChartImages/<%=chart.getFileName()%>' BORDER=0 ISMAP USEMAP=#map0 >
</td><td>
<p>
ProServe tags or objects make it easy to implement drill-down features in your charts.  The bars
in this chart drill down to additional JSPs, which pop up in a JavaScript window.  Our additional 
JSPs use charts (of course), but you can link to anything: tables, external web sites, 
summary data descriptions, etc.
<p>
As you pass the mouse over each bar, you will also see a detail chart that shows sales trends for
each region.  Although we're using another JSP to generate these charts, a KavaChart based serlvet 
is probably better practice in a real implementation.
</td></tr></table>
<script language="JavaScript" type="text/javascript" src="../standard/wz_tooltip.js"></script>
</body>
</html>
