<html>
<head><title>KavaChart ProServe - Current San Francisco Bay Area Temperatures</title>
<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
</head>
<body>
<p>
<table border=0>
<tr><td valign="top">
<%@ page import = "com.ve.kavachart.servlet.*" %>
<%@ page import = "com.ve.kavachart.utility.*" %>
<%
	//create a ProServe chart object and load some style information
	barApp chart = new barApp();
	chart.loadProperties(application.getRealPath("styles/weather.properties"));
	chart.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));
	chart.setProperty("imageType", "j_jpg");

	//create an XML data source
	XMLDataProvider weatherData = new XMLDataProvider();
	weatherData.setServiceURL("http://www.kavachart.com/weather.jsp");

	//put the two together
	chart.setDataProvider(weatherData);
%>
<%= chart.getLinkMap() %>
<img src=../../../images/KavaChartImages/<%= chart.getFileName() %> BORDER=0 ISMAP USEMAP=#map0>
</td><td>
<p>
These charts read data from a Web Service that provides temperature data for 
San Francisco Bay Area cities.  ProServe's XMLDataProvider reads XML data in
the format defined by this DTD: http://www.ve.com/kavachart/KavaChartDataProvider.dtd.
The actual data is supplied by this URL: 
<a href="http://www.kavachart.com/weather.jsp">http://www.kavachart.com/weather.jsp</a>,
which in turn reads and translates data from a National Weather Service web site.
<p>
As temperatures change, the chart's images/KavaChartImages will regenerate a chart as required.  If temperatures
haven't changed, an existing image is returned by the chart bean.
<p>
Like temperatures, your data may not change for every page view.  Using KavaChart's image 
images/KavaChartImages makes the best use of your server computing resources by avoiding unnecessary imaging
loads.
</td></tr></table>
<p>
<a href="http://www.noaa.gov">
<img src="http://www.noaa.gov/images/blwwwnoaa.jpg">
</a>
<p>
</body>
</html>

