<html>
<head><title>KavaChart ProServe - Real Time Lake Tahoe Water Level Data</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
</head>
<body>
<p>
<table border=0>
<p>
<center>
<a href="http://water.usgs.gov">
<img src="../../../images/usgs.gif">
</a>
</center>
<br>
<tr><td valign=top>
<p>
The US Geological Survey monitors water quality, resevoir levels and a variety
of other information.  This JSP collects real time gage height data from Lake Tahoe,
California and puts it into an area chart.
<p>
<form method=post action="LakeTahoeWaterLevel.jsp">
Number of Days Data:

<select name="days">
<%
		String numberOfDays = "31";
		String s = request.getParameter("days");
		if(s!=null)
			numberOfDays = s;

		//build a form:
		int iNumberOfDays = Integer.parseInt(numberOfDays);
		for(int i=1;i<32;i++){
			out.print("<option value=" + i);
			if(iNumberOfDays==i)
				out.print(" selected");
			out.print(" >" + i);
		}


%>
</select>
<br>
<INPUT type=submit value="Retrieve Data">
</form>
<p>
Like many of the other real time data demos here, this chart relies on external data sources
that may constrain the speed of page refreshes.  KavaChart's imaging engine is capable of
generating thousands of pages per minute on a typical server.
</td>
<td>
<%@ page import = "com.ve.kavachart.servlet.*" %>
<%@ page import = "java.net.*" %>
<%@ page import = "java.util.*" %>
<%@ page import = "java.io.*" %>
<%

		dateAreaApp bean = new dateAreaApp();
		URL usgsURL = new URL("http://waterdata.usgs.gov/ca/nwis/uv?dd_cd=02&format=rdb&period="+numberOfDays+"&site_no=10337000");
		BufferedReader reader = new BufferedReader(new InputStreamReader(usgsURL.openStream()));
		String line = reader.readLine(); //strip off the titles...
		Vector fileLines = new Vector();
		line = reader.readLine();
		while((line!=null)&&(line.startsWith("#"))){ //strip off header
			line = reader.readLine();
		}
		line = reader.readLine();

		//now read the body of the file
		line = reader.readLine();
		while(line!=null){
			if(line.startsWith("USGS")){ //a few blank lines at the end
				StringTokenizer st = new StringTokenizer(line);
				//skip the first two fields
				st.nextToken();
				st.nextToken();
				String day = st.nextToken().trim();
				String hour = st.nextToken().trim();
				try{
					String elevation = st.nextToken().trim();
					bean.accumulateProperty("dataset0dateValues", day + " " + hour);
					bean.accumulateProperty("dataset0yValues", elevation);
				}
				catch(Exception oversvationInvalid){
				}
			}
			line = reader.readLine();
		}
		bean.setProperty("titleString", "USGS Water Elevations in Lake Tahoe, California");
		bean.setProperty("titleFont", "Arial,14,1");
		bean.setProperty("dataset0Color", "008800");
		bean.setProperty("dataset0SecondaryColor", "004400");
		bean.setProperty("dataset0Gradient", "2");

		bean.setProperty("inputDateFormat", "yyyy-MM-dd HH:mm"); //USGS time format

        bean.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));
		bean.setProperty("outlineColor", "darkGray");
		bean.setProperty("plotAreaColor", "DDDDDD");
		bean.setProperty("plotAreaSecondaryColor", "white");
		bean.setProperty("plotAreaGradient", "2");
		bean.setProperty("yAxisOptions", "gridOn,minTickOn,rotateTitle");
		bean.setProperty("yAxisTitle", "Water Elevation");
		bean.setProperty("xAxisOptions", "gridOn,minTickOn");
		bean.setProperty("plotAreaRight", "0.92");
		bean.setProperty("plotAreaLeft", "0.15");
		bean.setProperty("plotAreaTop", "0.90");
		bean.setProperty("plotAreaBottom", "0.19");
		bean.setProperty("xAxisLabelFont", "Arial,12,0");
		bean.setProperty("yAxisLabelFont", "Arial,12,0");
		bean.setProperty("yAxisTitleFont", "Arial,12,0");
		bean.setProperty("width", "500");
		bean.setProperty("height", "300");
%>
<img src="../../../images/KavaChartImages/<%= bean.getFileName() %>">
</td></tr></table>
<p>
</body>
</html>

