<!--
  A simple JSP for generating a bubble chart
-->

<%@ page import = "javachart.servlet.bubbleApp" %>
<jsp:useBean id="chart" class="javachart.servlet.bubbleApp" scope="page"/>

<html>
<head><title>Bubble Chart Generator</title></head>
<body bgcolor="white">

<%
        chart.setProperty("dataset0y2Values", "100,200,300");
        chart.setProperty("dataset0yValues", "234,543,-523");
        chart.setProperty("dataset0xValues", "-1,0,1");
        chart.setProperty("dataset1y2Values", "100,200,300");
        chart.setProperty("dataset1yValues", "321,432,456");
        chart.setProperty("dataset1xValues", "-1.5,0.2,1.2");
        chart.setProperty("dataset0Name", "Thing 1");
        chart.setProperty("dataset1Name", "Thing 2");
        chart.setProperty("legendOn", "true");
        chart.setProperty("legendColor", "transparent");
        chart.setProperty("legendLabelColor", "white");
        chart.setProperty("legendLabelFont", "Helvetica,10,0");
        chart.setProperty("crossAxes", "true");
        chart.setProperty("xAxisColor", "white");
        chart.setProperty("yAxisColor", "white");
        chart.setProperty("xAxisOptions", "minTickOn");
        chart.setProperty("yAxisOptions", "minTickOn");
        chart.setProperty("backgroundColor", "A7B5DF");
        chart.setProperty("plotAreaColor", "A7C5DF");
        chart.setProperty("titleString", "A Bubble Chart");
        chart.setProperty("subTitleString", "with crossed axes");
        chart.setProperty("titleFont", "Helvetica,20,0");
        chart.setProperty("xAxisLabelFont", "Helvetica,10,0");
        chart.setProperty("yAxisLabelFont", "Helvetica,10,0");
        chart.setProperty("plotAreaRight", "0.9");
        chart.setProperty("plotAreaLeft", "0.1");
        chart.setProperty("plotAreaBottom", "0.1");

        chart.setProperty("antialiasOn", "true");

        chart.setProperty("height", "400");
        chart.setProperty("width", "500");

        chart.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));

		chart.setProperty("dataset0Links", "http://www.yahoo.com, http://www.yahoo.com, http://www.yahoo.com");
		chart.setProperty("dataset1Links", "http://www.cnn.com, http://www.cnn.com, http://www.cnn.com");
%>
<p>
<center>
<%= chart.getLinkMap()%>
<p>
<img src=../../../images/KavaChartImages/<%= chart.getFileName() %> BORDER=0 ISMAP USEMAP=#map0>
</center>
<p>
Bubble charts are a good candidate for antialiasing because they use filled or
hollow circles.  Bubble charts can have crossed axes, various colored bubbles, and
automatic or manual bubble size scaling.
<p>
This kind of chart is excellent and describing sparse data in 3 dimensions.
The bubble positions describe X and Y data, and the bubble size describes Z
data.
<p>
This demos adds hyperlinks to the individual bubbles to connect to popular web sites.
These aren't particularly meaningful for this chart's data, but yours probably will be.
</body>
</html>
