<!--
  A simple JSP for generating a label line chart
-->

<%@ page import = "javachart.servlet.labelLineApp" %>
<jsp:useBean id="chart" class="javachart.servlet.labelLineApp" scope="page"/>

<html>
<head><title>Simple Chart Generation</title></head>
<body bgcolor="white">

<%
	chart.setProperty("backgroundColor", "white");
	chart.setProperty("plotAreaColor", "lightGray");
	chart.setProperty("titleString", "Yield Curves");
	chart.setProperty("titleFont", "TimesRoman,24,2");
	chart.setProperty("plotAreaTop", "0.80");
	chart.setProperty("plotAreaRight", "0.90");
	chart.setProperty("plotAreaBottom", "0.20");
	chart.setProperty("plotAreaLeft", "0.10");
	chart.setProperty("legendOn", "yes");
	chart.setProperty("legendllX", ".50");
	chart.setProperty("legendllY", ".0");
	chart.setProperty("legendColor", "transparent");
	chart.setProperty("legendHorizontal", "true");

	chart.setProperty("yAxisTitle", "Percentage Yield");
	chart.setProperty("xAxisTitle", "Duration");
	chart.setProperty("xAxisOptions", "autoScale, lineOn, tickOn, minTickOff, labelOn, gridOn, bottomAxis");
	chart.setProperty("xAxisLabelCount", "17");
	chart.setProperty("xAxisTickCount", "17");
	chart.setProperty("xAxisGridTickCount", "17");
	chart.setProperty("xAxisLabels", "TM,1M,2M,3M,4M,5M,6M,9M,1Y,2Y,3Y,4Y,5Y,7Y,10Y,20Y,30Y");
	chart.setProperty("yAxisOptions", "rotateTitle, autoScale, lineOn, tickOn, minTickOff, labelOff, gridOn, leftAxis");
	chart.setProperty("dataset0Name", "JPY");
	chart.setProperty("dataset0Image", application.getRealPath("images/ball_yellow.gif"));
	chart.setProperty("dataset0yValues", "0.1,0.12,0.15,0.2,0.23,0.4,0.6,0.8,1.0,1.5,1.7,2.0,2.5,2.8,3.0,3.5,4.0");
	chart.setProperty("dataset1Name", "USD");
	chart.setProperty("dataset1Image", application.getRealPath("images/ball_red.gif"));
	chart.setProperty("dataset1yValues", "1.1,1.12,1.15,1.2,1.23,1.4,2.6,2.8,3.0,3.5,3.7,4.0,4.5,5.8,6.0,7.5,8.0");

	chart.setProperty("antialiasOn", "true");

	chart.setProperty("height", "320");
	chart.setProperty("width", "480");

	chart.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));
%>
<p>
<center>
<img src=../../../images/KavaChartImages/<%= chart.getFileName() %>>
</center>
<p>
<font face=Arial>
You may want to create your own axis labelling schemes.  KavaChart gives
you a few ways to do this:
<li>
Use a chart like this one and define your own strings
<li>
Install your own format classes to handle the labelling values
<li>
Override KavaChart's label-generating methods to hande axis values
with your own algorithms.
</body>
</html>
	
