<!--
  A simple JSP for generating a polar chart
-->

<%@ page import = "com.ve.kavachart.servlet.polarApp" %>
<jsp:useBean id="chart" class="com.ve.kavachart.servlet.polarApp" scope="page"/>

<html>
<head><title>Simple Chart Generation</title></head>
<body bgcolor="white">

<%

		chart.setProperty("dataset0yValues", "44.9, 37.5, 68.5, 57.89, 51.51");
		chart.setProperty("dataset0Name", "Atlanta Hawks");
		chart.setProperty("dataset1yValues", "51.4,32.0,68.4, 42.65, 48.04");
		chart.setProperty("dataset1Name", "Charlotte Hornets");
		chart.setProperty("dataset2yValues", "44.5,44.4,73.4, 57.61, 50.2");
		chart.setProperty("dataset2Name", "Chicago Bulls");
		chart.setProperty("dataset3yValues", "43.5, 29.2, 55.3, 54.05, 51.58");
		chart.setProperty("dataset3Name", "Cleveland Cavs");
		chart.setProperty("legendOn", "true");
		chart.setProperty("legendllX", "0.70");
		chart.setProperty("legendllY", "0.20");
		chart.setProperty("iconWidth", "0.02");
		chart.setProperty("yAxisOptions", "noAutoScale, gridOn, tickOff");
		chart.setProperty("yAxisStart", "0");
		chart.setProperty("yAxisEnd", "80");
		chart.setProperty("yAxisLabelCount", "4");
		chart.setProperty("yAxisMajTickCount", "4");
		chart.setProperty("yAxisLabelFormat", "1");
		chart.setProperty("yAxisLabelPrecision", "1");
		chart.setProperty("plotAreaTop", "0.9");
		chart.setProperty("plotAreaBottom", "0.1");
		chart.setProperty("plotAreaLeft", "0.1");
		chart.setProperty("plotAreaRight", ".7");
		chart.setProperty("xAxisLabels", "Shot %, Three Point %, Free Throw %, Offensive Reb %, Defensive Reb %");
		chart.setProperty("plotAreaColor", "transparent");
		chart.setProperty("imageType", "j_jpeg");
		chart.setProperty("height", "400");
		chart.setProperty("width", "600");
		chart.setProperty("antialiasOn", "true");

		chart.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));
%>
<p>
<center>
<img src=../../../images/KavaChartImages/<%= chart.getFileName() %>>
</center>
<p>
KavaChart's Polar charts are also called "Kiviat Charts".  These charts let you compare
multiple aspects of a group of items to quickly see the differences.  By examining
the shape of the various series, you can tell quickly whether a particular team
is "well rounded", literally.
<p>
In this chart we also changed the image type to JPEG.  This image type is better
for images that include photos, but it works reasonably well for antialiased line
art as well.
</body>
</html>
