<HTML>
<HEAD>
	<title>KavaChart ProServe - Hyperlinks, Sectormaps</title>
	<link href="../../documentation/style.css" rel="stylesheet" type="text/css">
</HEAD>
<BODY>
<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<jsp:useBean id="mlbchase" scope="application" class="examples.NLALSectormapData" type="examples.NLALSectormapData" />

<%
examples.NLALSectormapData data = 
	(examples.NLALSectormapData)pageContext.findAttribute("mlbchase");

%>

<p>
<center>
<table><tr><td valign="top">
Major League Baseball at a glance. 
<p>
 Each color is a different division.  Teams on a winning streak have
bright colors.  Teams on losing streaks have duller colors.  The size of each rectangle tells you
how many wins each team has.  Each square hyperlinks to that team's web site.
<p>
Sectormap charts are particularly good at describing certain kinds of data.  For example, this chart could
be used to describe an individual's stock portfolio: each dataset represents the sector of a particular
stock, and the values describe the total holdings for any chart.  The X value might represent the price
change in the past day.  
<p>
At a glance you could tell which sector had the most overall investment, which
stock was "hottest" in a particular sector, or overall, how balanced your portfolio is, etc.  Hyperlinks, 
like those used in this chart, could help a viewer drill-down to more detailed news reports for a particular
security.
</td><td>
<!------------------the chart-------------------->
<chart:streamed 
	style="styles/baseball.properties" 
	chartType="sectorMapApp" 
	dataProviderID="mlbchase" >
	<chart:param name="dataset0Links" value="<%=data.getDatasetLinks(0)%>" />
	<chart:param name="dataset1Links" value="<%=data.getDatasetLinks(1)%>" />
	<chart:param name="dataset2Links" value="<%=data.getDatasetLinks(2)%>" />
	<chart:param name="dataset3Links" value="<%=data.getDatasetLinks(3)%>" />
	<chart:param name="dataset4Links" value="<%=data.getDatasetLinks(4)%>" />
	<chart:param name="dataset5Links" value="<%=data.getDatasetLinks(5)%>" />
</chart:streamed>
<!------------------end chart-------------------->

</td></tr></table>
</center>

</BODY>
</HTML>

