package examples;

import java.awt.event.*;
import java.util.*;
import javax.swing.*;

import com.ve.kavachart.chart.*;
import com.ve.kavachart.utility.DataProvider;

public class UI_RandomNumberDataProvider extends JPanel implements DataProvider {

	public boolean doTwo = true;
	
	public UI_RandomNumberDataProvider(){
	}
	
	String[] labels = {
		"aa", "bb", "cc", "dd", "ee"
	};

	public Enumeration getDatasets() {
		ArrayList datasets = new ArrayList();
		
		Dataset dataset = new Dataset();
		dataset.setName("series one");
		for(int i=0;i<5;i++){
			dataset.addPoint(i, Math.random(), labels[i%labels.length]);
		}
		datasets.add(dataset);
		
		//and now another one:
		if(doTwo){
			dataset = new Dataset();
			dataset.setName("series two");
			for(int i=0;i<5;i++){
				dataset.addPoint(i, Math.random(), labels[i%labels.length]);
			}
			datasets.add(dataset);
		}

		return Collections.enumeration(datasets);
	}


	public String getUniqueIdentifier() {
		return "any string that identifies this data in a unique way";
	}


	public void actionPerformed(ActionEvent e) {
		firePropertyChange(null, null, null);
	}
}
