import java.io.IOException; 
import com.ve.kavachart.chart.*; 
import com.ve.kavachart.contrib.JPEGEncoder; 
import com.ve.kavachart.servlet.*;

public class JPEGEncoderMagic { 

	protected void doIt() { 
		Bean bean = new columnApp(); 
		bean.setProperty("dataset0yValues", "213,432,432"); 
		bean.setProperty("xAxisLabelAngle", "90"); 
		bean.setProperty("dataset0Gradient", "2"); 
		bean.setProperty("outlineColor", "lightGray"); 
		bean.setProperty("plotAreaGradient", "2"); 
		bean.setProperty("plotAreaSecondaryColor", "blue"); 
		bean.setProperty("yAxisOptions", "gridOn,tickOff"); 
		bean.setProperty("yAxisLineColor", "lightGray"); 
		bean.setProperty("xAxisOptions", "tickOff"); 
		bean.setProperty("yAxisGridColor", "lightGray"); 
		bean.setProperty("noRotations", "true"); 
		bean.setProperty("backgroundColor", "ddddff"); 
		bean.setProperty("writeDirectory", "."); 
		bean.setProperty("width", "300"); 
		bean.setProperty("height", "200"); 
		bean.setProperty("fileName", "test.jpg"); 

		JPEGEncoder encoder = new JPEGEncoder(); 
		// high quality but lower compression 
		encoder.setQuality(0.9); bean.setUserImagingCodec(encoder); 
		//generate our output here... 
		try{ 
			System.out.println("filename:" + bean.getFileName()); 
		}
		catch(Exception e){ 
			System.out.println("oops"); e.printStackTrace(); 
		} 
	}

	public static void main(String[] s){ 
		JPEGEncoderMagic attempt = new JPEGEncoderMagic(); 
		attempt.doIt(); 
		System.exit(0); 
	} 

}
