import java.awt.*; 
import com.ve.kavachart.chart.*; 

public class ChartPanel extends Panel { 

	public BarChart chart = new BarChart("sample"); 

	protected void initChart(){ 
		double[] sampleData = {123, 432, 345, 432}; 
		chart.addDataset("Banana Sales", sampleData); 
		chart.setLegendVisible(true); 
		chart.getBackground().setTitleString("Sample Chart"); 
	} 

	public void update(Graphics g){ 
		paint(g); 
	} 

	public void paint(Graphics g){ 
		chart.paint(this, g); 
	} 

	public static void main(String[] args){ 
		Frame myFrame = new Frame("Title Bar"); 
		ChartPanel myPanel = new ChartPanel(); 
		myPanel.initChart(); 
		myFrame.add(myPanel); 
		myFrame.setSize(400, 400); 
		myFrame.setVisible(true); 
	} 

}
