import com.ve.kavachart.chart.*; 
import java.awt.*; 

public class SimpleChart extends java.awt.Panel { 

	public Chart chart; 

	public SimpleChart(){ 
		chart = new LineChart("Test Chart"); 
		double values[] = new double[2000]; 
		for(int i=0;i<values.length;i++){ 
			values[i] = Math.sin(i/50.); 
		} 
		chart.addDataset("data", values); 
		//important for zooming: 
		((LineChart)chart).getLine().setClip(true);
	} 

	public static void main (String[] args) { 
		SimpleChart p = new SimpleChart(); 
		//attach the Zoomer class 
		Zoomer z = new Zoomer(p, p.chart); 
		Frame f = new Frame(); 
		f.add(p); 
		f.setSize(500, 300); 
		f.setVisible(true); 
	} 

	public void paint(Graphics g){ 
		chart.paint(this, g); 
	} 

}
