import java.awt.*; 
import com.ve.kavachart.beans.chart.*; 
import com.ve.kavachart.beans.data.*; 

public class BeanFrame extends Frame { 

	ChartBean chart; 

	public BeanFrame(){ 
		setLayout(new BorderLayout()); 
		chart = new BarChart(); 
		add(chart, "Center"); 
		Panel p = new Panel(); 
		for(int i=0;i<5;i++){ 
			Button b = new Button(Integer.toString(i)); 
			p.add(b); 
		} 
		add(p, "South"); 

		//add a data feed 
		DataFeedSimulator dataSource = new DataFeedSimulator(); 
		//new data every 2 seconds 
		dataSource.setInterval(2); 
		dataSource.setNumberOfSets(3); 
		dataSource.setNumberOfPoints(3); 
		dataSource.addDataFeedListener(chart); 
		dataSource.update(); 
		dataSource.start(); 
	} 

	public static void main(String[] args){
		Frame f = new BeanFrame(); 
		f.setSize(300, 200); 
		f.setVisible(true); 
	} 
}
