<!--
  A simple JSP scriptlet for generating charts
-->

<%@ page import = "com.ve.kavachart.servlet.*, java.util.*, java.io.*" %>

<html>
<head><title>ProServe Scriptlets - External Styles</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
</head>
<body bgcolor="white">

<% 

	Bean chart = new pieApp();
	chart.loadProperties(application.getRealPath("styles/pie.properties"));
	chart.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));

	//add some random data here:
	for(int i=0;i<5;i++){
		double d = Math.floor(Math.random()*5) +1.;
		chart.accumulateProperty("dataset0yValues", Double.toString(d));
	}



%>
<table><tr><td valign="top">
<p>
This chart uses pretty simple styles, but the page demonstrates a good way to separate your chart's
styles from the actual page.  The style properties are stored in the file "styles/pie.properties", and
loaded at run time.  This helps keep your page from being unduly cluttered by a complex chart definition
<p>
The data consists of random numbers.
Our very simple chart:
</td><td>
	<%= chart.getLinkMap() %>
	<img src=../../../images/KavaChartImages/<%= chart.getFileName() %> BORDER=0 ISMAP USEMAP=#map0>
	</center>

</td></tr>
</table>
<script language="javascript" src="../standard/wz_tooltip.js"></script>
</body>
</html>
