<!--
  A simple JSP for generating a gantt chart
-->

<%@ page import = "javachart.servlet.ganttApp" %>
<jsp:useBean id="chart" class="javachart.servlet.ganttApp" scope="page"/>

<html>
<head><title>Gantt Chart</title></head>
<body bgcolor="white">

<%
        chart.setProperty("titleString", "Team Comparison");
        chart.setProperty("titleFont", "Arial, 18, 1");
        chart.setProperty("plotAreaRight", "0.9");
        chart.setProperty("inputDateFormat", "MM/dd/yy");
        chart.setProperty("dataset0startDates", "02/10/02, 03/02/02, 04/08/02");
        chart.setProperty("dataset0endDates", "03/02/02, 04/03/02, 04/20/02");
        chart.setProperty("dataset1startDates", "02/01/02, 03/10/02, 04/12/02");
        chart.setProperty("dataset1endDates", "03/10/02, 03/28/02, 04/29/02");
        chart.setProperty("axisDateFormat", "M/d");
        chart.setProperty("axisSecondaryDateFormat", "M/d");
        chart.setProperty("xAxisLabels", "Practice, Scrimmage, Competition");
        chart.setProperty("dataset0Name", "Team 1");
        chart.setProperty("dataset1Name", "Team 2");
        chart.setProperty("yAxisOptions", "gridOn");
		chart.setProperty("legendOn", "true");
		chart.setProperty("legendllX", "0.21");
		chart.setProperty("legendllY", "0.67");

        chart.setProperty("outlineColor", "black");

        chart.setProperty("height", "300");
        chart.setProperty("width", "500");

        chart.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));
%>
<p>
<p>
<center>
<img src=../../../images/KavaChartImages/<%= chart.getFileName() %>>
</center>
<p>
KavaChart supports simple Gantt charts for project planning and comparison.  In
this chart, for example, we compare the practice, scrimmage, and play periods for
two different teams.
<p>
</body>
</html>
