<!--
  A simple JSP for generating a line chart
-->

<%@ page import = "javachart.servlet.lineApp" %>
<jsp:useBean id="chart" class="javachart.servlet.lineApp" scope="page"/>

<html>
<head><title>Simple Chart Generation</title></head>
<body bgcolor="white">

<%
	chart.setProperty("plotAreaTop", "0.85");
	chart.setProperty("plotAreaRight", "0.90");
	chart.setProperty("plotAreaBottom", "0.12");
	chart.setProperty("plotAreaLeft", "0.12");
	chart.setProperty("legendllX", ".15");
	chart.setProperty("legendllY", ".86");
	chart.setProperty("legendHorizontal", "true");
	chart.setProperty("plotAreaColor", "white");
	chart.setProperty("backgroundColor", "white");
	chart.setProperty("xAxisLabelFont", "Verdana,10,2");
	chart.setProperty("yAxisLabelFont", "Verdana,10,2");
	chart.setProperty("xAxisTitleFont", "Verdana,10,2");
	chart.setProperty("yAxisTitleFont", "Verdana,10,2");
	chart.setProperty("xAxisOptions", "gridOn, tickOn");
	chart.setProperty("xAxisColor", "black");
	chart.setProperty("yAxisOptions", "rotateTitle, gridOn, tickOff, minTickOff, lineOn, labelOn");
	chart.setProperty("yAxisLabelPrecision", "2");
	chart.setProperty("yAxisColor", "black");
	chart.setProperty("barLabelsOn", "true");
	chart.setProperty("dataset0Name", "Ptrole brut Brent");
	chart.setProperty("dataset0yValues", "17.1,17,18.7,18.39,17.39,15.9,16.1,16.8,16.1,16.89,18,17.89,18,20,21,19.1,18.3,19.6,20.6,22.6,24.2,22.6,23.9,23.47,20.83,19.21,17.47,19.14,17.55,18.39,18.71,18.45,19.85,19,17,15.09,14.06,13.08,13.41,14.39,12.06,12.01,11.88,13.36,12.56,10.92,9.8,11.06,10.19,12.47,15.3,15.14");
	chart.setProperty("dataset0xValues", "0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51");
	chart.setProperty("dataset0Color", "Orange");
	chart.setProperty("dataset0MarkerStyle", "1");
	chart.setProperty("yAxisTitle", "Price (USD)");
	chart.setProperty("xAxisTitle", "Contract Day");
 
	chart.setProperty("legendColor", "white");
	chart.setProperty("legendOn", "yes");
        chart.setProperty("height", "320");
        chart.setProperty("width", "520");

        chart.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));
%>
<p>
<center>
<img src=../../../images/KavaChartImages/<%= chart.getFileName() %>>
</center>
<p>
<face=Arial>
KavaChart supports a wide range of Line charts. Line charts are good for showing trends with a lot of data, and for describing irregular data. KavaChart doesn't have an internal limit on the amount of data you can put in a Line chart. 
</body>
</html>
