<!--
  ToolTipMaker demo
-->

<jsp:useBean id="chart" class="com.ve.kavachart.servlet.barApp" scope="page"/>

<html>
<head><title>JavaScript Tooltips Demo</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
</head>
<body bgcolor="white">

<% 

chart.setProperty("titleString","Sales By Region");
chart.setProperty("individualColors", "true");
chart.setProperty("yAxisOptions", "gridOn, tickOff, logScaling");
chart.setProperty("yAxisLabelAngle", "90");
chart.setProperty("xAxisOptions", "tickOff");
chart.setProperty("dataset0yValues", "234,123,543,234");
chart.setProperty("plotAreaLeft", ".22");
chart.setProperty("xAxisLabels", "East Bay, North Bay, South Bay, San Francisco");
chart.setProperty("dataset0Links", "http://www.yahoo.com, http://www.ve.com, http://www.sun.com, javascript:alert('hey')");

chart.setProperty("dwellUseXValue", "false");
chart.setProperty("dwellYString", "Total Sales: $XXM");

chart.setProperty("width","400");
chart.setProperty("height", "300");

chart.setProperty("writeDirectory", application.getRealPath("/images/KavaChartImages"));

%>
<center>
<%= com.ve.kavachart.utility.ToolTipMaker.translateLinkMap(chart.getLinkMap()) %>
<img src='../../../images/KavaChartImages/<%=chart.getFileName()%>' BORDER=0 ISMAP USEMAP=#map0 >
</center>
<p>
Some browsers don't show reliable tooltip labels from image link maps.  
KavaChart includes a handy utility that translates the link map into a 
JavaScript utility that displays the label.  You can also use the property
"javascriptTooltips" to generate output compatible with the wz_tooltip.js 
script, which allows you to embed hyperlinks, formatting, even other charts, 
within the tooltip.
<p>
These bars are also used to create hyperlinks to various other web pages.  
The bar for "San Francisco" is linked to a JavaScript function.
</body>
</html>
