<%
	//some logic to build a query form for the yahoo data
	String[] months = {"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"};
	String startMonth, startDay, startYear, endMonth, endDay, endYear;
	String period = "d";
	String security = "YHOO";
	String s = request.getParameter("a");
	if(s==null){
		java.util.Calendar calendar = java.util.Calendar.getInstance();
		calendar.setTime(new java.util.Date());
		calendar.add(java.util.Calendar.MONTH, -3);
		startMonth = Integer.toString(calendar.get(java.util.Calendar.MONTH));
		startDay = Integer.toString(calendar.get(java.util.Calendar.DAY_OF_MONTH));
		int iStartYear = calendar.get(java.util.Calendar.YEAR);
		startYear = Integer.toString(iStartYear);
		
		calendar.add(java.util.Calendar.MONTH, 3);
		endMonth = Integer.toString(calendar.get(java.util.Calendar.MONTH));	
		endDay = Integer.toString(calendar.get(java.util.Calendar.DAY_OF_MONTH));
		int iEndYear = calendar.get(java.util.Calendar.YEAR);
		endYear = Integer.toString(iEndYear);
	}
	else{
		startMonth = s;
		startDay = request.getParameter("b");
		startYear = request.getParameter("c");
		endMonth = request.getParameter("d");
		endDay = request.getParameter("e");
		endYear = request.getParameter("f");
		security = request.getParameter("s");
		period = request.getParameter("g");
	}
		 
%>
<html>
<head>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
	<title>KavaChart ProServe Scriptlets - Finance Chart!</title>
</head>
<body bgcolor="white">

<TABLE BORDER=0 CELLSPACING=10>
<TR>
<TD valign="top">

<FORM method=post action="yahoo.jsp">
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=4 width=100% >
<TR>
<TD ALIGN=CENTER>
<TABLE>
<tr><td>&nbsp;</td><TD ALIGN=CENTER><I><small>Month</small></I></td><TD ALIGN=CENTER><I><small>Day</small></I></td><TD><I><small>Year</small></I></td></tr>
<TR>
<TD ALIGN=RIGHT><small>Start:</small></TD>
<td>
<%
int iStartMonth = Integer.parseInt(startMonth);
out.print("<select name=a>");
for(int i=0;i<months.length;i++){
	out.print("<option value=" + i);
	if(iStartMonth==i)
		out.print(" selected");
	out.print(" >" + months[i]);
}
out.print("</select>");
%>
</TD>
<%
out.println("<td><INPUT NAME=\"b\" TYPE=TEXT VALUE=\"" + startDay + "\" SIZE=\"2\" MAXLENGTH=\"2\"></TD>");
out.println("<td><INPUT NAME=\"c\" TYPE=TEXT VALUE=\"" + startYear + "\" SIZE=\"4\" MAXLENGTH=\"4\"></TD>");
%>
</TR>
<TR>
<TD ALIGN=RIGHT VALIGN=MIDDLE><small>End:</small></TD>
<TD ALIGN=CENTER>
<%
int iEndMonth = Integer.parseInt(endMonth);
out.print("<select name=d>");
for(int i=0;i<months.length;i++){
	out.print("<option value=" + i);
	if(iEndMonth==i)
		out.print(" selected");
	out.print(" >" + months[i]);
}
out.println("</select>");
%>
</TD>
<%
out.println("<TD ALIGN=CENTER><INPUT NAME=\"e\" TYPE=TEXT VALUE=\"" + endDay + "\" SIZE=\"2\" MAXLENGTH=\"2\"></TD>");
out.println("<TD ALIGN=CENTER><INPUT NAME=\"f\" TYPE=TEXT VALUE=\"" + endYear + "\" SIZE=\"4\" MAXLENGTH=\"4\"></TD>");
%>
</TR>
</TABLE>
</TD>
<td>
<%
out.print("<input type=radio name=\"g\" value=\"d\" ");
if(period.equals("d"))
	out.print("checked ");
out.print("> <small>Daily</small><br>");
out.print("<input type=radio name=\"g\" value=\"w\" ");
if(period.equals("w"))
	out.print("checked ");
out.print("> <small>Weekly</small><br>");
out.print("<input type=radio name=\"g\" value=\"m\" ");
if(period.equals("m"))
	out.print("checked ");
out.print("> <small>Monthly</small><br>");
%>
</td></tr>
<tr>
<TD ALIGN=center colspan=2>
<%
out.println("<small>Ticker Symbol:&nbsp;</small><INPUT type=text value = \"" + security + "\" size=6 name=s>");
%>
<INPUT type=submit value="Create Chart"></TD>
</TR>
</TABLE>

<p>
This JSP uses a "candlestickApp" to construct a typical 
financial services chart, using historical data courtesy of Yahoo!  This data is converted into a KavaChart DataProvider
by the class 
<a href="../../../source.jsp?dataexamples/YahooCandlestickData.java">YahoCandlestickData</a>.  The overall style for the
chart is defined <a href="../../../source.jsp?styles/candlestick.properties">here</a>.
<p>
KavaChart ProServe offers a variety of charting types for financial services charts.  The Enterprise Edition also includes
the "kcfinance" package, which includes specialized combination charts for technical trading.

</TD>
<TD>
<%@ page import="com.ve.kavachart.servlet.*" %>
<%
		//now the easy part - the chart
		examples.YahooCandlestickData yhoo = new examples.YahooCandlestickData();
		yhoo.setStartDay(Integer.parseInt(startDay));
		yhoo.setEndDay(Integer.parseInt(endDay));
		yhoo.setStartMonth(Integer.parseInt(startMonth));
		yhoo.setEndMonth(Integer.parseInt(endMonth));
		yhoo.setStartYear(Integer.parseInt(startYear));
		yhoo.setEndYear(Integer.parseInt(endYear));
		yhoo.setSymbol(security);
		yhoo.setPeriod(period);

		Bean chart = new candlestickApp();
		chart.setDataProvider(yhoo);
		chart.loadProperties(application.getRealPath("styles/candlestick.properties"));

		chart.setProperty("dataset0Name", security);
		chart.setProperty("inputDateFormat", "yyyy-MM-dd"); //yahoo's time format
        chart.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));
%>
<p>
<img src="../../../images/KavaChartImages/<%= chart.getFileName() %>">
</TD>
</TR>
<TR>
<TD>
This is another financial chart type, the OHLC chart.  This chart is constructed by sharing the same style
properties and data source, but applying this information to a new chart type.
</TD><TD>
<%
		Bean ohlc = new hLOCApp();
		ohlc.setDataProvider(yhoo);
		ohlc.loadProperties(application.getRealPath("styles/candlestick.properties"));

		ohlc.setProperty("dataset0Name", security);
		ohlc.setProperty("inputDateFormat", "dd-MMM-yy"); //yahoo's time format
        ohlc.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));
%>
<img src="../../../images/KavaChartImages/<%= ohlc.getFileName() %>">
</TR>
</TABLE>

<p>
</body>
</html>

