<html>
<head>
	<link type="text/css" rel="stylesheet" href="../../documentation/style.css">
</head>
<title>KavaChart ProServe - Finance Charts and Data Handlers</title>
<!--
  Copyright (c) 2004, 2008 Visual Engineering, Inc.  All rights 
  reserved.
-->
<body>
<%
	String[] months = {"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"};
	String startMonth, startDay, startYear, endMonth, endDay, endYear;
	String period = "d";
	String security = "MSFT";
	String s = request.getParameter("a");
	if(s==null){
		java.util.Calendar calendar = java.util.Calendar.getInstance();
		calendar.setTime(new java.util.Date());
		calendar.add(java.util.Calendar.MONTH, -3);
		startMonth = Integer.toString(calendar.get(java.util.Calendar.MONTH)+1);	
		startDay = Integer.toString(calendar.get(java.util.Calendar.DAY_OF_MONTH));
		int iStartYear = calendar.get(java.util.Calendar.YEAR);
		if(iStartYear>1999)
			iStartYear -= 2000;
		else
			iStartYear -= 1900;
		startYear = Integer.toString(iStartYear);
		if(iStartYear<10)
			startYear = "0" + startYear;
		
		calendar.add(java.util.Calendar.MONTH, 3);
		endMonth = Integer.toString(calendar.get(java.util.Calendar.MONTH)+1);	
		endDay = Integer.toString(calendar.get(java.util.Calendar.DAY_OF_MONTH));
		int iEndYear = calendar.get(java.util.Calendar.YEAR);
		if(iEndYear>1999)
			iEndYear -= 2000;
		else
			iEndYear -= 1900;
		endYear = Integer.toString(iEndYear);
		if(iEndYear<10)
			endYear = "0" + endYear;
	}
	else{
		startMonth = s;
		startDay = request.getParameter("b");
		startYear = request.getParameter("c");
		endMonth = request.getParameter("d");
		endDay = request.getParameter("e");
		endYear = request.getParameter("f");
		security = request.getParameter("s");
		period = request.getParameter("g");
	}
		 
%>

<TABLE BORDER=0>
<TR>
<TD valign="top">

<FORM method=post action="yahoo.jsp">
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=4 width=270 >
<TR>
<TD ALIGN=CENTER>
<TABLE>
<tr><td> </td><TD ALIGN=CENTER><I><small>Month</small></I></td><TD ALIGN=CENTER><I><small>Day</small></I></td><TD><I><small>Year</small></I></td></tr>
<TR>
<TD ALIGN=RIGHT><small>Start:</small></TD>
<td>
<%
int iStartMonth = Integer.parseInt(startMonth);
out.print("<select name=a>");
for(int i=0;i<months.length;i++){
	out.print("<option value=" + (i+1));
	if(iStartMonth==i+1)
		out.print(" selected");
	out.print(" >" + months[i]);
}
out.println("</select>");
%>
</TD>
<%
out.println("<td><INPUT NAME=\"b\" TYPE=TEXT VALUE=\"" + startDay + "\" SIZE=\"2\" MAXLENGTH=\"2\"></TD>");
out.println("<td><INPUT NAME=\"c\" TYPE=TEXT VALUE=\"" + startYear + "\" SIZE=\"2\" MAXLENGTH=\"2\"></TD>");
%>
</TR>
<TR>
<TD ALIGN=RIGHT VALIGN=MIDDLE><small>End:</small></TD>
<TD ALIGN=CENTER>
<%
int iEndMonth = Integer.parseInt(endMonth);
out.print("<select name=d>");
for(int i=0;i<months.length;i++){
	out.print("<option value=" + (i+1));
	if(iEndMonth==i+1)
		out.print(" selected");
	out.print(" >" + months[i]);
}
out.println("</select>");
%>
</TD>
<%
out.println("<TD ALIGN=CENTER><INPUT NAME=\"e\" TYPE=TEXT VALUE=\"" + endDay + "\" SIZE=\"2\" MAXLENGTH=\"2\"></TD>");
out.println("<TD ALIGN=CENTER><INPUT NAME=\"f\" TYPE=TEXT VALUE=\"" + endYear + "\" SIZE=\"2\" MAXLENGTH=\"2\"></TD>");
%>
</TR>
</TABLE>
</TD>
<td>
<%
out.print("<input type=radio name=\"g\" value=\"d\" ");
if(period.equals("d"))
	out.print("checked ");
out.print("> <small>Daily</small><br>");
out.print("<input type=radio name=\"g\" value=\"w\" ");
if(period.equals("w"))
	out.print("checked ");
out.print("> <small>Weekly</small><br>");
out.print("<input type=radio name=\"g\" value=\"m\" ");
if(period.equals("m"))
	out.print("checked ");
out.print("> <small>Monthly</small><br>");
%>
</td></tr>
<tr>
<TD ALIGN=center colspan=2>
<%
out.println("<small>Ticker Symbol: </small><INPUT type=text value = \"" + security + "\" size=6 name=s>");
%>
<INPUT type=submit value="Create Chart"></TD>
</TR>
</TABLE>

</TD><TR>
<TD>
<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>

<%
	examples.YahooCandlestickData stock1 = new examples.YahooCandlestickData();
	stock1.setStartDay(Integer.parseInt(startDay));
	stock1.setEndDay(Integer.parseInt(endDay));
	stock1.setStartMonth(Integer.parseInt(startMonth)-1);
	stock1.setEndMonth(Integer.parseInt(endMonth)-1);
	stock1.setStartYear(Integer.parseInt(startYear));
	stock1.setEndYear(Integer.parseInt(endYear));
	stock1.setSymbol(security);
	stock1.setPeriod(period);
	pageContext.setAttribute("stock1", stock1);

	examples.YahooCandlestickData yhoo = new examples.YahooCandlestickData();
	yhoo.setStartDay(Integer.parseInt(startDay));
	yhoo.setEndDay(Integer.parseInt(endDay));
	yhoo.setStartMonth(Integer.parseInt(startMonth)-1);
	yhoo.setEndMonth(Integer.parseInt(endMonth)-1);
	yhoo.setStartYear(Integer.parseInt(startYear));
	yhoo.setEndYear(Integer.parseInt(endYear));
	yhoo.setSymbol("YHOO");
	yhoo.setPeriod(period);
	pageContext.setAttribute("yhoo", yhoo);

	String titleString = security + " Stock Prices"; 
	String regressionTitle = "Yahoo vs. " + security + " Correlation Analysis"; 
%>

<p>
Most of this page's source code consists of scriplets to set up the form and place
the query.  The chart section is quite simple.  We create 2 data sources, named "stock1", and
"yhoo".  These DataProviders read from Yahoo! finance's web pages to obtain historical stock
price information.
<p>
<table><tr><td>
<p>
The first chart applies the "candlestick.properties" style to the "stock1" data source
to create a candlestick chart.  You can choose any security in the form above - a couple of
interesting symbol names are "GM", "MSFT", and "FDX".
</td><td>
<chart:streamed 
	style="styles/candlestick.properties" 
	chartType="candlestickApp" 
	dataProviderID="stock1" reloadStyle="true" >

	<chart:param name="titleString" value="<%=titleString%>" />
</chart:streamed>
</td></tr></table>

<table><tr><td>
<chart:streamed 
	style="styles/candlestick.properties" 
	chartType="candlestickApp" 
	dataProviderID="yhoo">

	<chart:param name="titleString" value="Yahoo Corporation Stock Prices" />
</chart:streamed>
</td><td>
<p>
The next chart uses the same time period, but YHOO - Yahoo's stock price.  We put these two charts
on the page so we can demonstrate using a few of KavaChart ProServe's data tags.  Yahoo's stock
is interesting because it tends to correlate well with movements in other tech stocks, but not
with stocks from other sectors.
</td></tr></table>

<table><tr><td>
<p>
This chart re-uses the same data sources to compare percentage changes in these two stocks over
the specified time period.  We can do this very easily by using the "dataaccumulator" tag to 
combine our data sources, and then the "datapercentchange" tag to provide meta-data that describes the
percent change in the data over time.
</td><td>
<chart:streamed 
	style="styles/candlestick.properties" 
	chartType="dateLineApp">

	<chart:datapercentchange>
		<chart:dataaccumulator dataProviderID="stock1,yhoo" />
	</chart:datapercentchange>

	<chart:param name="titleString" value="Percentage Change Comparison" />
	<chart:param name="legendOn" value="true" />
	<chart:param name="plotAreaBottom" value=".2" />
	<chart:param name="dwellYPercentFormat" value="true" />
	<chart:param name="yAxisOptions" value="gridOn, percentLabels, minTickOn" />
	<chart:param name="dataset0Name" value="<%=security%>" />
	<chart:param name="dataset1Name" value="YHOO" />
</chart:streamed>
</td></tr></table>

<table><tr><td>
<chart:streamed 
	style="styles/candlestick.properties" 
	chartType="regressApp">

	<chart:dataregressionfeed>
		<chart:dataaccumulator dataProviderID="stock1,yhoo" />
	</chart:dataregressionfeed>

	<chart:param name="titleString" value="<%=regressionTitle%>" />
</chart:streamed>
</td><td>
<p>
The next chart combines the "dataaccumulator" tag with the "dataregressionfeed" tag to compare the Y
values (prices in this case) for each of the stocks.  By re-using the existing data sources this way
we get a visual understanding of how the stocks are correlated.
<p>
Tech stocks (MSFT, CSCO, SUNW, IBM) tend to be quite correlated to Yahoo's stock - not surprising.
Non-tech sectors (F, GM, DCX) are not correlated, or inversely correlated.  Biotech (IBB) is usually
mildly correlated.
</td></tr></table>
<p>
Another thing to note about these charts is the attribution notice at the bottom of each chart.  ProServe
lets you add notes to any chart at any location in axis coordinates or pixel coordinates.
<p>
If you're serious about charting financial data, you should look into the 
KavaChart based Visual:ProChart product.  ProChart provides support for
a large number of technical studies, handles real-time data inputs, and is
appropriate for both web sites and stand-alone applications.
</body>
</html>
