<html>
<!--
  A simple JSP to check headless mode on a server

  Copyright (c) 2005 Visual Engineering, Inc.  All rights 
  reserved.
-->
<body>
<title>Check Headless</title>
<p>
<%
java.awt.Graphics g = null;

try{

        java.awt.image.BufferedImage i = new java.awt.image.BufferedImage(100,
		100, java.awt.image.BufferedImage.TYPE_INT_RGB);

        g = i .getGraphics();
	out.println("<p> Graphics object created! Headless mode appears to be working");
}catch(Error bad){
	out.println("<p>java.awt.headless: " + 
		System.getProperty("java.awt.headless"));
        out.println("<p>no graphics configuration can be found!  Make sure java.awt.headless is set to true.");
        java.io.CharArrayWriter c = new java.io.CharArrayWriter();
        java.io.PrintWriter w = new java.io.PrintWriter(c);
        bad.printStackTrace(w);
	out.println("<p>" + c.toString());
}

// Actual draw testing.  Uncomment the code below if a Graphics object 
// can be created but further drawing fails
/*
try{
	g.setColor(java.awt.Color.RED);
	g.fillRect(0, 0, 100, 100);
	out.println("<p>Simple drawing test successful.");
} catch(Exception drawFailure) {
	out.println("<p>Drawing failed!");
	java.io.CharArrayWriter c = new java.io.CharArrayWriter();
	java.io.PrintWriter w = new java.io.PrintWriter(c);
	drawFailure.printStackTrace(w);
	out.println("<p>" + c.toString());
}
*/

//now some font testing

/*
try{
	g.setFont(new java.awt.Font("Arial", java.awt.Font.PLAIN, 12));
	g.getFontMetrics().getMaxAscent();
	out.println("<p>Simple font test successful.");
} catch(Exception fontFailure) {
        out.println("<p>Font test failed!");
        java.io.CharArrayWriter c = new java.io.CharArrayWriter();
        java.io.PrintWriter w = new java.io.PrintWriter(c);
        fontFailure.printStackTrace(w);
        out.println("<p>" + c.toString());
}
*/

%>
</body>
</html>
